Alcatraz在xcode安装无效的解决方案

转载 2015年07月10日 16:35:12

转自:http://blog.csdn.net/zhangao0086/article/details/44196415

对还没有支持Xcode 6.2的插件有效,Alcatraz 的新版已经支持。

  • 进入到插件目录 ~/Library/Application Support/Developer/Shared/Xcode/Plugins
  • 显示插件的包内容
  • 编辑Info.plist文件
  • 展开DVTPlugInCompatibilityUUIDs
  • 添加一个新的item:A16FF353-8441-459E-A50C-B071F53F51B7

对于Xcode 6.3,使用这个UUID:9F75337B-21B4-4ADC-B558-F9CADF7073A7

对于Xcode 6.1,使用这个UUID:C4A681B0-4A26-480E-93EC-1218098B9AA0

其实就是 /Applications/Xcode.app/Contents/Info 里边的 DVTPlugInCompatibilityUUID

分享一个批量更新插件的 DVTPlugInCompatibilityUUID 的命令:

<code class="hljs lasso has-numbering" style="display: block; padding: 0px; background-color: transparent; color: inherit; box-sizing: border-box; font-family: 'Source Code Pro', monospace;font-size:undefined; white-space: pre; border-top-left-radius: 0px; border-top-right-radius: 0px; border-bottom-right-radius: 0px; border-bottom-left-radius: 0px; word-wrap: normal; background-position: initial initial; background-repeat: initial initial;">find ~/Library/Application<span class="hljs-subst" style="color: rgb(0, 0, 0); box-sizing: border-box;">\</span> Support/Developer/Shared/Xcode/Plug<span class="hljs-attribute" style="box-sizing: border-box;">-ins</span> <span class="hljs-attribute" style="box-sizing: border-box;">-name</span> Info<span class="hljs-built_in" style="color: rgb(102, 0, 102); box-sizing: border-box;">.</span>plist <span class="hljs-attribute" style="box-sizing: border-box;">-maxdepth</span> <span class="hljs-number" style="color: rgb(0, 102, 102); box-sizing: border-box;">3</span> <span class="hljs-subst" style="color: rgb(0, 0, 0); box-sizing: border-box;">|</span> xargs <span class="hljs-attribute" style="box-sizing: border-box;">-I</span>{} defaults write {} DVTPlugInCompatibilityUUIDs <span class="hljs-attribute" style="box-sizing: border-box;">-array</span><span class="hljs-attribute" style="box-sizing: border-box;">-add</span> <span class="hljs-string" style="color: rgb(0, 136, 0); box-sizing: border-box;">`defaults read /Applications/Xcode.app/Contents/Info DVTPlugInCompatibilityUUID`</span></code><ul class="pre-numbering" style="box-sizing: border-box; position: absolute; width: 50px; background-color: rgb(238, 238, 238); top: 0px; left: 0px; margin: 0px; padding: 6px 0px 40px; border-right-width: 1px; border-right-style: solid; border-right-color: rgb(221, 221, 221); list-style: none; text-align: right;"><li style="box-sizing: border-box; padding: 0px 5px;">1</li></ul>




Xcode如何打包ipa安装包以及出现的证书无效解决方案

出现的证书无效解决方案,我总是出现这个问题,也是网友们大多出现的常见问题,在此遇到问题,我解决了,也向大家分享一下我的解决方案,以后遇到类似问题还会更新的...

Xcode更新或者重新安装导致插件无效问题的解决方案

该博文内容来源于网络,原链接:http://www.cnblogs.com/zhanglinfeng/p/4962452.html Xcode升级后打开Xcode会提示load bundle或Skip...

iOS7.1企业应用"无法安装应用程序 因为证书无效"的解决方案

今天升级了iOS7.1后发现通过之前的url无法安装企业应用了,一直提示“无法安装应用程序 因为http://xxx.xxx.xxx证书无效”,折腾了一番,终于在StackOverFlow上找到了答案...

ios 企业应用"无法安装应用程序 因为证书无效"的解决方案

http://blog.csdn.net/zhaoxy_thu/article/details/21133399 今天升级了iOS7.1后发现通过之前的url无法安装企业应用了,一直提示...

iOS7 企业应用"无法安装应用程序 因为证书无效"的解决方案

今天升级了iOS7.1后发现通过之前的url无法安装企业应用了,一直提示“无法安装应用程序 因为http://xxx.xxx.xxx证书无效”,折腾了一番,终于在StackOverFlow上找到了答案...

iOS7.1企业应用"无法安装应用程序 因为证书无效"的解决方案

今天升级了iOS7.1后发现通过之前的url无法安装企业应用了,一直提示“无法安装应用程序 因为http://xxx.xxx.xxx证书无效”,折腾了一番,终于在StackOverFlow上找到了答案...
  • sxhong
  • sxhong
  • 2014年05月29日 22:03
  • 2044

iOS7.1企业应用"无法安装应用程序 因为证书无效"的解决方案

今天升级了iOS7.1后发现通过之前的url无法安装企业应用了,一直提示“无法安装应用程序 因为http://xxx.xxx.xxx证书无效”,折腾了一番,终于在StackOverFlow上找到了答案...

iOS7.1企业应用"无法安装应用程序 因为证书无效"的解决方案

今天升级了iOS7.1后发现通过之前的url无法安装企业应用了,一直提示“无法安装应用程序 因为http://xxx.xxx.xxx证书无效”,折腾了一番,终于在StackOverFlow上找到了答案...
  • abcso
  • abcso
  • 2014年10月02日 01:50
  • 364

iOS7.1企业应用"无法安装应用程序 因为证书无效"的解决方案

今天升级了iOS7.1后发现通过之前的url无法安装企业应用了,一直提示“无法安装应用程序 因为http://xxx.xxx.xxx证书无效”,折腾了一番,终于在StackOverFlow上找到了答案...

Imei号无效解决方案

  • 2017年06月29日 17:28
  • 564KB
  • 下载
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:Alcatraz在xcode安装无效的解决方案
举报原因:
原因补充:

(最多只允许输入30个字)